package com.xzzn.ems.domain;

import java.math.BigDecimal;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.xzzn.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.xzzn.common.annotation.Excel;

/**
 * 站点每日充放电数据对象 ems_daily_charge_data
 *
 * @author xzzn
 * @date 2025-08-27
 */
public class EmsDailyChargeData extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** 站点id */
    @Excel(name = "站点id")
    private String siteId;

    /** 数据日期:yyyy-MM-dd */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "数据日期:yyyy-MM-dd", width = 30, dateFormat = "yyyy-MM-dd")
    private Date dateTime;

    /** 总充电量 */
    @Excel(name = "总充电量")
    private BigDecimal totalChargeData;

    /** 总放电量 */
    @Excel(name = "总放电量")
    private BigDecimal totalDischargeData;

    /** 当日充电量 */
    @Excel(name = "当日充电量")
    private BigDecimal chargeData;

    /** 当日放电量 */
    @Excel(name = "当日放电量")
    private BigDecimal dischargeData;

    /** 总收入 */
    @Excel(name = "总收入")
    private BigDecimal totalRevenue;

    /** 当日实时收入 */
    @Excel(name = "当日实时收入")
    private BigDecimal dayRevenue;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }

    public void setSiteId(String siteId)
    {
        this.siteId = siteId;
    }

    public String getSiteId()
    {
        return siteId;
    }

    public void setDateTime(Date dateTime)
    {
        this.dateTime = dateTime;
    }

    public Date getDateTime()
    {
        return dateTime;
    }

    public void setTotalChargeData(BigDecimal totalChargeData)
    {
        this.totalChargeData = totalChargeData;
    }

    public BigDecimal getTotalChargeData()
    {
        return totalChargeData;
    }

    public void setTotalDischargeData(BigDecimal totalDischargeData)
    {
        this.totalDischargeData = totalDischargeData;
    }

    public BigDecimal getTotalDischargeData()
    {
        return totalDischargeData;
    }

    public void setChargeData(BigDecimal chargeData)
    {
        this.chargeData = chargeData;
    }

    public BigDecimal getChargeData()
    {
        return chargeData;
    }

    public void setDischargeData(BigDecimal dischargeData)
    {
        this.dischargeData = dischargeData;
    }

    public BigDecimal getDischargeData()
    {
        return dischargeData;
    }

    public void setTotalRevenue(BigDecimal totalRevenue)
    {
        this.totalRevenue = totalRevenue;
    }

    public BigDecimal getTotalRevenue()
    {
        return totalRevenue;
    }

    public void setDayRevenue(BigDecimal dayRevenue)
    {
        this.dayRevenue = dayRevenue;
    }

    public BigDecimal getDayRevenue()
    {
        return dayRevenue;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("siteId", getSiteId())
                .append("dateTime", getDateTime())
                .append("totalChargeData", getTotalChargeData())
                .append("totalDischargeData", getTotalDischargeData())
                .append("chargeData", getChargeData())
                .append("dischargeData", getDischargeData())
                .append("totalRevenue", getTotalRevenue())
                .append("dayRevenue", getDayRevenue())
                .append("createBy", getCreateBy())
                .append("createTime", getCreateTime())
                .append("updateBy", getUpdateBy())
                .append("updateTime", getUpdateTime())
                .append("remark", getRemark())
                .toString();
    }
}
